Subject: bug#18920: Parted always chooses the logical sector size.

From: "Brian C. Lane" <[email-masked]>
Date: Tue, 4 Nov 2014 08:40:53 -0800

On Tue, Nov 04, 2014 at 08:26:24PM +0530, dE wrote:
> On 11/04/14 03:24, Brian C. Lane wrote:

> >Assuming you are talking about linux -- parted uses the logical sector
> >size returned by the kernel, which gets it from the drive.  We don't set
> >to 512 arbitrarily. So if there is an actual problem it should be
> >reported against the kernel.
> >
> 
> Yes, the kernel reports both -- the logical and the physical. Parted knows
> about it, it shows both the logical and physical sector size, but then also
> it uses the logical sector size. It should not. There must be an option at
> least, and I suggest it should be made the default otherwise the partitions
> may start unaligned.

Can you cite specific instances of problems using the logical size?
Every tool that I am aware of uses it. As for not aligning parted
defaults to 1MiB so unless you are forcing it to a specific sector you
aren't going to see an issue.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)